EAPI=4

inherit eutils toolchain-funcs

S="${WORKDIR}/lrmi-${PV}"

DESCRIPTION="Utility to display and test VESA BIOS Extensions (VBE) modes."
HOMEPAGE="http://www.sourceforge.net/projects/lrmi/"
SRC_URI="mirror://sourceforge/lrmi/lrmi-${PV}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="lrmi"

DEPEND="lrmi? ( =sys-libs/lrmi-${PV}* )
	!lrmi? ( dev-libs/libx86 )"

src_prepare() {
	if ! use lrmi ; then
		epatch "${FILESDIR}/${PN}-libx86.patch" || die
	else
		epatch "${FILESDIR}/${PN}-sharedlrmi.patch" || die
	fi
}

src_compile() {
	emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" vbetest
}

src_install() {
	dobin vbetest
}
